Flags API reference

Flags API · Projects

get/v1/workspaces/{workspace_id}/projects/{project_id}Auth

Get a project

The project with its environments and configs.

Path parameters

project_id*string · uuid

Id of the project.

workspace_id*string · uuid

Id of the workspace.

Response · 200 The project.

id*string · uuid

The project's id.

workspace_id*string · uuid

The workspace that owns the project.

name*string

Display name, unique in the workspace (case-insensitive).

Example: "Storefront"

description*string

Free-text description (may be empty).

Example: ""

ordinal*integer

Sort position in the workspace (ascending).

Example: 0

environments*array

The project's environments, in `ordinal` order.

configs*array

The project's configs, in `ordinal` order.

created_at*string · date-time

When the project was created.

updated_at*string · date-time

When the project last changed.

Example

Request

GET https://api.flags.productcraft.co/v1/workspaces/{workspace_id}/projects/{project_id}
Authorization: Bearer YOUR_TOKEN

Response

{
  "id": "00000000-0000-0000-0000-000000000000",
  "workspace_id": "00000000-0000-0000-0000-000000000000",
  "name": "Storefront",
  "description": "",
  "ordinal": 0,
  "environments": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "project_id": "00000000-0000-0000-0000-000000000000",
      "key": "production",
      "name": "Production",
      "color": "#c92a2a",
      "ordinal": 1,
      "protected": true,
      "require_note": false,
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "configs": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "project_id": "00000000-0000-0000-0000-000000000000",
      "key": "main",
      "name": "Main",
      "description": "",
      "ordinal": 0,
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}